package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthAccept
* date: 2021-9-7 10:49:11
*/
public class YthAcceptEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630982951439L;


    /**
    * 受理标准
    */
    private String content;

    /**
    * 事项id
    */
    private Long matterid;

    /**
    * 
    */
    private String tid;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private String createUser;

    public YthAcceptEntity(){

    }
    /**
    * 获取 受理标准
    * @return content
    */
    public String getContent() {
        return this.content;
    }
    /**
    * 设置 受理标准
    * @param content
    */
    public void setContent(String content) {
        this.content = content;
    }
    /**
    * 获取 事项id
    * @return matterid
    */
    public Long getMatterid() {
        return this.matterid;
    }
    /**
    * 设置 事项id
    * @param matterid
    */
    public void setMatterid(Long matterid) {
        this.matterid = matterid;
    }
    /**
    * 获取 
    * @return tid
    */
    public String getTid() {
        return this.tid;
    }
    /**
    * 设置 
    * @param tid
    */
    public void setTid(String tid) {
        this.tid = tid;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthAcceptEntity) {
            YthAcceptEntity tmp = (YthAcceptEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",content:").append(getContent())
                .append(",matterid:").append(getMatterid())
                .append(",tid:").append(getTid())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.content = null;

         this.matterid = null;

         this.tid = null;

         this.createTime = null;

         this.createUser = null;

    }
}